﻿Anritsu                                                     MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub MG369XC Settling Delay
DATE:                  2014-02-22 14:35:22
AUTHOR:                Al Shannon
REVISION:              $Revision: 8106 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       59
=============================================================================
#
#  Text Source:
#    $RCSfile: sub_mg369xc_settling_delay.mc $
#    $Date: 2014-06-10 07:17:23 -0700 (Tue, 10 Jun 2014) $
#
#  Procedure Author:
#        AWS
#
#  Model(s) Covered:
#        MG369XC
#
#  Compatibility:
#        MET/CAL 8.0 or later
#
#  Subprocedures:
#        Sub MG369XC Set Bandswitch Flag
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  The copyright for this procedure is owned by Anritsu Company.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# Set band switch flag
  1.001  CALL         Sub MG369XC Set Bandswitch Flag

# Add some delay to let the hardware settle
  1.002  IF           @Bandswitch

  1.003  IF           @FreqGHz >= 0.89 && @FreqGHz <= 0.91
  1.004  WAIT         [D2000]
  1.005  ELSE
  1.006  WAIT         [D1000]
  1.007  ENDIF

  1.008  ELSE

  1.009  IF           @Opt_4 && @FreqGHz <= 1
  1.010  WAIT         [D2000]
  1.011  ELSE
  1.012  WAIT         [D10]
  1.013  ENDIF

  1.014  ENDIF        ; @Bandswitch
  1.015  END
